/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.validation;

import jp.sourceforge.mergedoc.pleiades.resource.PropertySet;

import org.osgi.framework.BundleContext;

import benten.core.AbstractBentenPlugin;

/**
 * CAT 検証プラグイン。
 * @author KASHIHARA Shinji
 */
public class CatValidationPlugin extends AbstractBentenPlugin {

	/** 共用インスタンス */
	private static CatValidationPlugin plugin;

	/** 翻訳禁止プロパティー */
	public static final PropertySet vForbiddenTransProp = new PropertySet();

	/** 用語検証プロパティー */
	public static final PropertySet vTermProp = new PropertySet();

	/** 対訳正規表現セット */
	public static final PropertySet vTransProp = new PropertySet();

	/** 対訳正規表現セット (逆引き) */
	public static final PropertySet vTransReverseProp = new PropertySet();

	/**
	 * コンストラクター。
	 */
	public CatValidationPlugin() {
	}

	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;

		vForbiddenTransProp.load(getFile("/conf/props/validation-forbidden-translation.properties")); //$NON-NLS-1$
		vTermProp.load(getFile("/conf/props/validation-term.properties")); //$NON-NLS-1$
		vTransProp.load(getFile("/conf/props/validation-translation.properties")); //$NON-NLS-1$
		vTransReverseProp.load(getFile("/conf/props/validation-translation-reverse.properties")); //$NON-NLS-1$
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * このプラグインの共用インスタンスを取得。
	 * @return このプラグインの共用インスタンス
	 */
	public static CatValidationPlugin getDefault() {
		return plugin;
	}
}
