/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.ui.preference;

import org.eclipse.jface.preference.IPreferenceStore;

import benten.ui.UiPlugin;

/**
 * Benten 設定定義クラス。
 * @author KASHIHARA Shinji
 * @author IGA Toshiki
 */
public class BentenPreference {

	/** 設定保管キー */
	public static enum Preference {
		TM_NAME, USE_TMX_DEFAULT, USE_TMX_LOCATION, TMX_LOCATION, IGNORE_WHITESPACE_TM_REFERENCE, IGNORE_WHITESPACE_TMX_EXTRACT, GLOSSARY_NAME, USE_TSV_DEFAULT, USE_TSV_LOCATION, TSV_LOCATION
	}

	/**
	 * Benten 設定ストアを取得。
	 * @return Benten 設定ストア
	 */
	public static IPreferenceStore getStore() {
		return UiPlugin.getDefault().getPreferenceStore();
	}
}
